> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fireworks.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Quotas

> Lists all quotas for an account.



## OpenAPI

````yaml get /v1/accounts/{account_id}/quotas
openapi: 3.1.0
info:
  title: Gateway REST API
  version: 4.259.0
servers:
  - url: https://api.fireworks.ai
security:
  - BearerAuth: []
tags:
  - name: Gateway
paths:
  /v1/accounts/{account_id}/quotas:
    get:
      tags:
        - Gateway
      summary: List Quotas
      description: Lists all quotas for an account.
      operationId: Gateway_ListQuotas
      parameters:
        - name: pageSize
          description: >-
            The maximum number of quotas to return. The maximum page_size is
            200,

            values above 200 will be coerced to 200.

            If unspecified, the default is 50.
          in: query
          required: false
          schema:
            type: integer
            format: int32
        - name: pageToken
          description: >-
            A page token, received from a previous ListQuotas call. Provide this

            to retrieve the subsequent page. When paginating, all other
            parameters

            provided to ListQuotas must match the call that provided the page

            token.
          in: query
          required: false
          schema:
            type: string
        - name: filter
          description: |-
            Only quota satisfying the provided filter (if specified) will be
            returned. See https://google.aip.dev/160 for the filter grammar.
          in: query
          required: false
          schema:
            type: string
        - name: orderBy
          description: >-
            A comma-separated list of fields to order by. e.g. "foo,bar"

            The default sort order is ascending. To specify a descending order
            for a

            field, append a " desc" suffix. e.g. "foo desc,bar"

            Subfields are specified with a "." character. e.g. "foo.bar"

            If not specified, the default order is by "name".
          in: query
          required: false
          schema:
            type: string
        - name: readMask
          description: >-
            The fields to be returned in the response. If empty or "*", all
            fields will be returned.
          in: query
          required: false
          schema:
            type: string
        - name: account_id
          in: path
          required: true
          description: The Account Id
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/gatewayListQuotasResponse'
components:
  schemas:
    gatewayListQuotasResponse:
      type: object
      properties:
        quotas:
          type: array
          items:
            $ref: '#/components/schemas/gatewayQuota'
            type: object
        nextPageToken:
          type: string
          description: >-
            A token, which can be sent as `page_token` to retrieve the next
            page.

            If this field is omitted, there are no subsequent pages.
        totalSize:
          type: integer
          format: int32
          title: The total number of quotas
    gatewayQuota:
      type: object
      properties:
        name:
          type: string
          title: >-
            The resource name of the quota, e.g.
            accounts/my-account/quotas/h100-us-iowa-1
          readOnly: true
        value:
          type: string
          format: int64
          description: >-
            The value of the quota being enforced. This may be lower than the
            max_value

            if the user manually lowers it.
        maxValue:
          type: string
          format: int64
          description: The maximum approved value.
        usage:
          type: number
          format: double
          description: The usage of the quota.
          readOnly: true
        updateTime:
          type: string
          format: date-time
          description: The update time for the quota.
          readOnly: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication using your Fireworks API key. Format: Bearer
        <API_KEY>
      bearerFormat: API_KEY

````